##
# FONTCUSTOM CONFIG
#
# This file will automatically be loaded if located inside your vector dir.
# Otherwise, pass it to `compile` or `watch` with:
#
#   --config=path/to/config.yml
#   -c path/to/containing/dir/
##

# ---------------------------------------------------------------------------- #
# Output Directory
# absolute path OR relative path from `pwd`
#
# default: INPUT/fontcustom
project_root: {pwd}
input: vectors
output: 
  fonts: fonts                              # required
  css: css

# ---------------------------------------------------------------------------- #
# Templates
# array of templates to generate alongside fonts
# accepts shortcuts or paths (absolute, relative to INPUT, or relative to `pwd`)
#
# shortcuts:
#   preview
#   css, scss
#   bootstrap, bootstrap-scss
#   bootstrap-ie7, bootstrap-ie7-scss
#
# default: [ css, preview ]

templates: [ css, scss, preview ]

# ---------------------------------------------------------------------------- #
# Font Name
# automatically normalized to lower-spinal-case
#
# default: fontcustom

font_name: onthegosystems-icons

# ---------------------------------------------------------------------------- #
# Font Hash
# option to attach a cache-breaking fingerprint to each font file
#
# default: true

file_hash: false

# ---------------------------------------------------------------------------- #
# CSS Class Prefix
#
# default: icon-

#css_prefix: icon-

# ---------------------------------------------------------------------------- #
# @Font-face Path
# font path used in @font-face declarations
# only affects SCSS shortcut templates and custom templates
#
# default: none

#font_face_path: assets/fonts/fontcustom

# ---------------------------------------------------------------------------- #
# Debug
# show raw output from Font Forge
#
# default: false

#debug: true

# ---------------------------------------------------------------------------- #
# Verbose
# print out all file operations
#
# default: true

#verbose: false